%define	name	kon2
%define	version	0.3.9b
%define release	6mdk

Summary:	KON - Kanji ON Linux console
Summary(ja):	KON - 漢字コンソール
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
Source0:	ftp://ftp.linet.gr.jp/pub/KON/kon2-%{version}.tar.bz2
Source1:	pubfont.a.gz
Source2:	pubfont.k.gz
Source3:	terminfo.kon
Patch0:		kon2-glibc.diff.bz2
Patch1:		kon2-iso8859.diff.bz2
Patch2:		kon2-noans.diff.bz2
Patch3:		kon2-0.3.8-exec.diff.bz2
Patch4:		kon2-0.3.9b-terminfo-bce.patch.bz2
# RH security patches
Patch107:	kon2-0.3.9b-tty.patch.bz2
Patch108:	kon2-0.3.9b-bufover-fix.patch.bz2
Patch109:	kon2-0.3.9b-racecondition-fix3.patch.bz2
Patch110:	kon2-english-manpage.patch.bz2
License:	BSD
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	glibc-static-devel
Requires:	ncurses >= 4.2-10vl1 locales-ja
Exclusivearch:	%{ix86}

%description
KON displays kanji characters on Linux console screen.
It is launched like a shell, so you should put at the very
end of your ~/.profile something like:

TTY=`tty | cut -b-8 2> /dev/null`

if [ "$TTY" = "/dev/tty" ]; then
   exec kon
fi

%description -l ja
KON は Linux のコンソール画面上で漢字を表示するためのプログラムです。

%prep
%setup -q 
%patch0 -p1 -b .glibc
%patch1 -p1 -b .iso8859
%patch2 -p0 -b .noans
%patch3 -p0 -b .exec
%patch4 -p1 -b .bce
%patch107 -p1 -b .tty
%patch108 -p1 -b .buffer
%patch109 -p1 -b .race
%patch110 -p1 -b .man
cp %{SOURCE1} .

%build
%make config 

# Don't use $RPM_OPT_FLAGS
%make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts
mkdir -p $RPM_BUILD_ROOT%{_mandir}/ja/man1
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}

make install TOPDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT/%{_mandir}/ja/man1
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/fonts
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/fonts

# create a fake file for %ghost; this could be removed when ncurses
# will include a definition for 'kon'
mkdir -p $RPM_BUILD_ROOT%{_datadir}/terminfo/k
touch $RPM_BUILD_ROOT%{_datadir}/terminfo/k/kon

# install the English man page
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
cp doc/kon.1.eng $RPM_BUILD_ROOT/%{_mandir}/man1/kon.1

# remove useless files from doc directory
rm doc/kon.1* doc/*.buffer || :

%clean
rm -rf $RPM_BUILD_ROOT

%post
tic %{_defaultdocdir}/kon2-%{version}/terminfo.kon
if ! grep '^kon|kanji on console' %{_sysconfdir}/termcap >& /dev/null ; then
	 cat %{_defaultdocdir}/kon2-%{version}/termcap.kon >> %{_sysconfdir}/termcap
fi

%files
%defattr(0644,root,root,0755)
%doc doc/* terminfo.kon termcap.kon
%attr(4711,root,root) %{_bindir}/kon
%attr(755,root,root) %{_bindir}/fld
%attr(755,root,root) %{_bindir}/swkon
%attr(755,root,root) %{_bindir}/newvc
%{_mandir}/ja/man1/*
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/kon.cfg
%{_datadir}/fonts/pubfont.a.gz
%{_datadir}/fonts/pubfont.k.gz
%ghost %{_datadir}/terminfo/k/kon

%changelog
* Sun Feb 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.9b-6mdk
- fix post script

* Thu Jul 31 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.9b-5mdk
- fix buildrequires

* Fri Jul 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.3.9b-4mdk
- don't touch $RPM_BUILD_ROOT in %%prep, do it in %%install
- macroize
- cosmetics
- fix W: kon2 conffile-without-noreplace-flag /etc/kon.cfg

* Thu Jun 05 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.3.9b-3mdk
- new RH patch (P108) replaces older patch (fixes local root vuln)

* Thu Jun 05 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.3.9b-2mdk
- quiet setup
- rebuild for rpm-4.2
- macroize
- bzip2 patches
- fix E: kon2 use-of-RPM_SOURCE_DIR

* Sat Jul 07 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.3.9b-1mdk
- updated to 0.3.9b
- added URL for sources
- changed descriptions to utf-8

* Tue Aug 01 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.3.8-15mdk
- various security fixes
- added an English man page from Debian

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.8-14mdk
- fixed group

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.3.8-13mdk
- Asm only compatible with other arch of x86 (anyone for a fix ?).

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix gcc2.95 compilation.

* Thu Mar 25 1999 MATSUMOTO Shoji <vine@flatout.org>
- 0.3.8-8
- add 'long -e' patch

* Wed Feb 24 1999 MATSUMOTO Shoji <vine@flatout.org>
- correct owner of font

* Tue Feb 23 1999 MATSUMOTO Shoji <vine@flatout.org>
- use ISO8859-1 for ASCII

* Sun Feb 21 1999 MATSUMOTO Shoji <vine@flatout.org>
- refine for usermode rebuild and make config
- comment out to do 'tic terminfo.kon' from %post

* Sat Dec 26 1998  Daisuke SUZUKI <daisuke@linux.or.jp>
- initial release


